FROM mirror.jd.com/jupyter/notebook-base:latest
MAINTAINER Zhiyong Zhao <zhaozhiyong@jd.com>

USER root

# Install all OS dependencies for fully functional notebook server
RUN apt-get update && apt-get install -yq --no-install-recommends \
    build-essential \
    vim \
    curl \
    git \
    inkscape \
    jed \
    libsm6 \
    libxext-dev \
    libxrender1 \
    lmodern \
    netcat \
    pandoc \
    python-dev \
    texlive-fonts-extra \
    texlive-fonts-recommended \
    texlive-generic-recommended \
    texlive-latex-base \
    texlive-latex-extra \
    texlive-xetex \
    unzip \
    nano \
    && apt-get clean && \
    rm -rf /var/lib/apt/lists/*

# Switch back to admin to avoid accidental container runs as root
USER $NB_UID

RUN pip install bqplot matplotlib seaborn
